Computer Security
[EN] securityvulns.ru no-pyccku


Apache Tomcat information leakage
Published:18.07.2011
Source:
SecurityVulns ID:11792
Type:local
Threat Level:
5/10
Description:Some security limitations are not checked for sendfile().
Affected:APACHE : Tomcat 5.0
 APACHE : Tomcat 6.0
 APACHE : Tomcat 7.0
CVE:CVE-2011-2526 (Apache Tomcat 5.5.x before 5.5.34, 6.x before 6.0.33, and 7.x before 7.0.19, when sendfile is enabled for the HTTP APR or HTTP NIO connector, does not validate certain request attributes, which allows local users to bypass intended file access restrictions or cause a denial of service (infinite loop or JVM crash) by leveraging an untrusted web application.)
Original documentdocumentAPACHE, [SECURITY] CVE-2011-2526 Apache Tomcat Information disclosure and availability vulnerabilities (18.07.2011)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod